<dx-data-grid class='box-shadow' #filesGrid [columnAutoWidth]='true' [allowColumnResizing]='true' [allowColumnReordering]='true'
	(onInitialized)='onFilesGridInit($event)' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='true'
	[showRowLines]='false' height='auto' (onToolbarPreparing)='toolbarPreparing($event)'>

	<dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
	<dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
	<dxo-search-panel  [visible]='true'></dxo-search-panel>
	<dxo-state-storing [enabled]="true" type="localStorage" storageKey="qhseArchiveFiles"></dxo-state-storing>

	<dxi-column type="buttons" fixedPosition='left' width='110' [allowResizing]='false'
        [showInColumnChooser]='false'>
        <dxi-button hint='Descarcă' icon='download' [onClick]="onDownloadClick"></dxi-button>
    </dxi-column>
	<dxi-column caption='Fișier' dataField='name' dataType='string'></dxi-column>
	<dxi-column caption='Data' dataField='uploadTime' dataType='datetime' width='170' calculateSortValue='uploadTime'
		[calculateDisplayValue]='ds.getDateTime'></dxi-column>
</dx-data-grid>

<app-create-ticket [popupVisible]='isCreateTicketVisible' (onClosePopup)='onCreateTicketClose($event)'>
</app-create-ticket>
